Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1641335 - Strange window scaling effects in Firefox on Wayland on fractional scaling on HiDPI display
Summary: Strange window scaling effects in Firefox on Wayland on fractional scaling on...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2018-10-21 10:47 UTC by Jan Vlug
Modified: 2019-03-15 13:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 13:32:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot showing the issue (deleted)
2018-10-21 10:47 UTC, Jan Vlug
no flags Details
Strangely scaled pop-up window (deleted)
2018-11-20 07:02 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2018-10-21 10:47:20 UTC
Created attachment 1496134 [details]
Screenshot showing the issue

Description of problem:
I sometimes see some strange scaling effects in Firefox on Wayland.

I have a setup of one regular display with 100% scaling and one HiDPI display with 150% scaling. I do not exactly know how to reproduce the issue, but it seems related to moving the Firefox window from one display to the other.
See the attachment for an example of this issue.

Version-Release number of selected component (if applicable):
firefox-wayland.x86_64                     62.0.3-4.fc28

Comment 1 Jan Vlug 2018-11-20 07:02:20 UTC
Created attachment 1507351 [details]
Strangely scaled pop-up window

Still happens on firefox-wayland.x86_64 - 63.0.3-1.fc29
See new screenshot.

Comment 2 Martin Stransky 2019-03-15 13:32:02 UTC
That should be fixed now, by firefox-66.0 builds.


Note You need to log in before you can comment on or make changes to this bug.